I installed ruby 1.8.6 with the "one click installer for mac osx" here:

http://www.ruby-lang.org/en/downloads/

(I had to close all Terminal windows before the correct version would 
display in response to: ruby -v)

That installer installed rubygems version 0.9.4, so I updated to 
rubygems 1.0.1 using this command:

$ sudo gem update --system

which didn't work at first:

$ sudo gem update --system
Password:
Updating RubyGems...
Bulk updating Gem source index for: http://gems.rubyforge.org
Attempting remote update of rubygems-update
ERROR:  While executing gem ... (Gem::GemNotFoundException)
    Could not find rubygems-update (> 0) in any repository


So I tried the same command again, and after a bunch of output, I got:

...
Removing old RubyGems RDoc and ri...
Installing rubygems-1.0.1 ri into 
/usr/local/lib/ruby/gems/1.8/doc/rubygems-1.0.1/ri...
Installing rubygems-1.0.1 rdoc into 
/usr/local/lib/ruby/gems/1.8/doc/rubygems-1.0.1/rdoc...
As of RubyGems 0.8.0, library stubs are no longer needed.
Searching $LOAD_PATH for stubs to optionally delete (may take a 
while)...
...done.
No library stubs found.
RubyGems system software updated

So  I think I am set.





-- 
Posted via http://www.ruby-forum.com/.